Opened 15 years ago

Last modified 4 years ago

#12 closed defect (Fixed)

AttributeError: 'module' object has no attribute 'getIPs'

Reported by: weasel Owned by: nickm
Priority: Low Milestone:
Component: Mixminion-Server Version: unspeficied
Severity: Keywords:
Cc: weasel Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

[Moved from bugzilla]
Reporter: peter@… (Peter Palfrader)
Description:
Opened: 2003-10-19 23:33



Fresh cvs installation as of Sun, 19 Oct 2003 23:31:30 +0200

copying etc/mixminiond.conf file from minion/cvs, changed nickname,
identitykeybits, homedir, and loglevel:

weasel@valiant:~/mixminion/bin$ ./mixminion server-upgrade -f
../etc/mixminiond.conf
Mixminion version 0.0.6alpha1
This software is for testing purposes only. Anonymity is not guaranteed.
Reading configuration from ../etc/mixminiond.conf
Oct 19 23:28:36.986 [WARN] Mode specification is not yet supported.
Oct 19 23:28:36.988 [WARN] Dangerously low MixInterval
No server keys to upgrade.
Dropping obsolete messages from queues (no upgrade; sorry!)
Homedir is upgraded
weasel@valiant:~/mixminion/bin$ ./mixminion server-start -f ../etc/mixminiond.conf
Mixminion version 0.0.6alpha1
This software is for testing purposes only. Anonymity is not guaranteed.
Reading configuration from ../etc/mixminiond.conf
Oct 19 23:28:40.720 [WARN] Mode specification is not yet supported.
Oct 19 23:28:40.721 [WARN] Dangerously low MixInterval
Oct 19 23:28:40.726 [DEBUG] Configuring server
Oct 19 23:28:40.733 [INFO] Enabling statistics logging
Oct 19 23:28:40.743 [DEBUG] Syncing statistics to disk
Oct 19 23:28:40.753 [INFO] Statistics logging enabled
Oct 19 23:28:40.755 [INFO] Setting entropy source to '/dev/urandom'
Oct 19 23:28:40.758 [DEBUG] Initializing server
Oct 19 23:28:40.765 [DEBUG] Scanning server keystore at /home/weasel/mixminion/keys
Oct 19 23:28:40.772 [INFO] Creating server keystore at /home/weasel/mixminion/keys
Oct 19 23:28:40.778 [DEBUG] Found 0 keys.
Oct 19 23:28:40.779 [INFO] Creating 1 keys
Oct 19 23:28:40.781 [INFO] Generating key 0001 to run from 2003/10/19 through
2003/11/08 (GMT)
Oct 19 23:28:40.782 [INFO] Generating identity key. (This may take a while.)
Oct 19 23:30:21.266 [INFO] Generated 4096-bit identity key.
Oct 19 23:30:27.700 [WARN] No IP configured; guessing 172.22.118.2
Oct 19 23:30:27.704 [WARN] No Hostname configured; guessing valiant
Oct 19 23:30:27.705 [FATAL] Exception while configuring server
Oct 19 23:30:27.719 [FATAL] Traceback (most recent call last):

File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerMain.py",
line 1093, in runServer

server = MixminionServer(config)
File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerMain.py",
line 664, in init

self.keyring.createKeysAsNeeded()
File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerKeys.py",
line 271, in createKeysAsNeeded

self.createKeys(num=nKeys)
File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerKeys.py",
line 314, in createKeys

validAt=startAt)
File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerKeys.py",
line 968, in generateServerDescriptor
AndKeys

_checkHostnameIsLocal(fieldsHostname?)
File

"/home/weasel/mixminion/lib/python2.3/site-packages/mixminion/server/ServerKeys.py",
line 1148, in _checkHostnameIsLocal

r = mixminion.server.DNSFarm.getIPs(name)

AttributeError: 'module' object has no attribute 'getIPs'

Oct 19 23:30:27.722 [FATAL] Shutting down because of exception:
exceptions.AttributeError



Oops; I moved a function from DNSFarm.py to NetUtils.py, and missed one of its
users.

Should be fixed now.

[Automatically added by flyspray2trac: Operating System: Linux]

Child Tickets

Change History (1)

comment:1 Changed 15 years ago by weasel

flyspray2trac: bug closed.

Note: See TracTickets for help on using tickets.